# PetscContainerSetPointer

Sets the pointer value contained in the container.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscContainerSetPointer(PetscContainer obj,void *ptr)

Collective on PetscContainer

### Input Parameters

| obj | - the object created with PetscContainerCreate()
| ptr | - the pointer value

### See Also

PetscContainerCreate(), PetscContainerDestroy(),
PetscContainerGetPointer()

Level:advanced
Location: src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages